""" Select a sound and slow it down """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the sound (.wav) file to slow down "
  fileName = pickAFile()
  sound = makeSound(fileName)
  print "Open Sound Tool to 'view' sound"
  openSoundTool(sound)
  
  blockingPlay(sound)
  
  slowerSound = slowDown(sound)
  blockingPlay(slowerSound)
  
  writeSoundTo(slowerSound, getMediaPath("slowerSound.wav"))
  print "Open Sound Tool to 'view' sound"
  openSoundTool(slowerSound)

def slowDown(source):
  """ Returns the half-speed slower sound of the source """
  target = makeEmptySound(getLength(source)*2)
  
  for targetIndex in range(0,getLength(source)*2):
    sourceValue = getSampleValueAt(source, targetIndex/2)
    setSampleValueAt(target, targetIndex, sourceValue)

  return target
  
main() # starts the program
