""" Select a sound and make a faster sound at 2x-speed """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the sound (.wav) file to speedup "
  fileName = pickAFile()
  sound = makeSound(fileName)
  print "Open Sound Tool to 'view' sound"
  openSoundTool(sound)
  
  blockingPlay(sound)
  
  fasterSound = speedup(sound)
  blockingPlay(fasterSound)
  
  writeSoundTo(fasterSound, getMediaPath("fasterSound.wav"))
  print "Open Sound Tool to 'view' sound"
  openSoundTool(fasterSound)

def speedup(source):
  """ Returns the faster sound of the source """
  target = makeEmptySound(getLength(source)/2)
  
  for targetIndex in range(0,getLength(source)/2):
    sourceValue = getSampleValueAt(source, targetIndex*2)
    setSampleValueAt(target, targetIndex, sourceValue)

  return target
  
main() # starts the program
